## Class Auth_OpenID_AX_AttrInfo

Description

Represents a single attribute in an attribute exchange request. This should be added to an AXRequest object in order to request the attribute.

Located in /Auth/OpenID/AX.php (line 139)

Method Summary
Auth_OpenID_AX_AttrInfo Auth_OpenID_AX_AttrInfo (string $type_uri, int $count, bool $required, string $alias)
void make ( $type_uri, [ $count = 1], [ $required = false], [ $alias = null])
void wantsUnlimitedValues ()
Methods
Constructor Auth_OpenID_AX_AttrInfo (line 154)

Construct an attribute information object. Do not call this directly; call make(...) instead.

Auth_OpenID_AX_AttrInfo Auth_OpenID_AX_AttrInfo (string $type_uri, int $count, bool $required, string $alias)

- string $type_uri: The type URI for this attribute.
- int $count: The number of values of this type to request.
- bool $required: Whether the attribute will be marked as required in the request.
- string $alias: The name that should be given to this attribute in the request.

make (line 194)

Construct an attribute information object. For parameter details, see the constructor.

void make ( $type_uri, [ $count = 1], [ $required = false], [ $alias = null])

- $type_uri
- $count
- $required
- $alias

wantsUnlimitedValues (line 216)

When processing a request for this attribute, the OP should

call this method to determine whether all available attribute values were requested. If self.count == UNLIMITED_VALUES, this returns True. Otherwise this returns False, in which case self.count is an integer.

void wantsUnlimitedValues ()

Documentation generated on Tue, 21 Apr 2009 11:31:29 -0700 by phpDocumentor 1.3.2